<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
    version="2.4">
   <display-name>Secure Payment Server</display-name>
   <context-param>
      <param-name>APP-NAME</param-name>
      <param-value>cps</param-value>
   </context-param>
   <context-param>
      <param-name>APP-RESOURCES</param-name>
      <param-value>messages</param-value>
   </context-param>
   <context-param>
      <param-name>DATACASH-ACCOUNTS</param-name>
      <param-value>datacash</param-value>
   </context-param>
   <context-param>
      <param-name>BRAND_CONFIG</param-name>
      <param-value>brand</param-value>
   </context-param>
   <context-param>
      <param-name>CONFIG_FILES</param-name>
      <param-value>cv2avs,promodiscservice,threedsecurity,carddetails,fraudscreening,cookielegislation,hcc</param-value>
   </context-param>
   <listener>
      <listener-class>
         com.tui.uk.startup.ContextStartup
      </listener-class>
   </listener>
   <filter>
        <filter-name>TomcatInstanceFilter</filter-name>
        <filter-class>com.tui.uk.payment.filter.TomcatInstanceFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>TomcatInstanceFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
     <filter>
        <filter-name>CookieLegislationFilter</filter-name>
        <filter-class>com.tui.uk.payment.filter.CookieDisplayFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>CookieLegislationFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <servlet>
      <description>
         Sets, whether the servlet supports vendor extensions for
         XML-RPC.
      </description>
      <servlet-name>XmlRpcServlet</servlet-name>
      <servlet-class>
         org.apache.xmlrpc.webserver.XmlRpcServlet
      </servlet-class>
      <init-param>
         <param-name>enabledForExtensions</param-name>
         <param-value>true</param-value>
      </init-param>
   </servlet>
   <servlet-mapping>
      <servlet-name>XmlRpcServlet</servlet-name>
      <url-pattern>/xmlrpc</url-pattern>
   </servlet-mapping>
   <servlet>
      <description></description>
      <display-name>Payment</display-name>
      <servlet-name>PostPaymentServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.PostPaymentServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>PostPaymentServlet</servlet-name>
      <url-pattern>/processPayment</url-pattern>
   </servlet-mapping>
   <servlet>
      <description></description>
      <display-name>PaymentPageRendering</display-name>
      <servlet-name>PaymentServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.PaymentServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
   <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/ao/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/byo/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/fcsun/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/fcfalcon/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/webcruise/pageRender</url-pattern>
   </servlet-mapping>
   <servlet-mapping>
      <servlet-name>PaymentServlet</servlet-name>
      <url-pattern>/fcao/pageRender</url-pattern>
   </servlet-mapping>
   <servlet>
      <servlet-name>ConfirmBookingServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.ConfirmBookingServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>ConfirmBookingServlet</servlet-name>
      <url-pattern>/ConfirmBookingServlet</url-pattern>
  </servlet-mapping>
  <servlet>
      <display-name>PromotionalCode</display-name>
      <servlet-name>PromotionalCodeServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.PromotionalCodeServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>PromotionalCodeServlet</servlet-name>
      <url-pattern>/promCodeServlet</url-pattern>
   </servlet-mapping>
   <servlet>
      <display-name>AddressFinder</display-name>
      <servlet-name>AddressFinderServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.AddressFinderServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>AddressFinderServlet</servlet-name>
      <url-pattern>/addressFinder</url-pattern>
   </servlet-mapping>
   <servlet>
      <description></description>
      <display-name>RefundOptionServlet</display-name>
      <servlet-name>RefundOptionServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.RefundOptionServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>RefundOptionServlet</servlet-name>
      <url-pattern>/RefundOptionServlet</url-pattern>
   </servlet-mapping>
   <servlet>
      <description>PostAuthenticationServlet</description>
      <display-name>PostAuthenticationServlet</display-name>
      <servlet-name>PostAuthenticationServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.PostAuthenticationServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>PostAuthenticationServlet</servlet-name>
      <url-pattern>/postAuthServlet</url-pattern>
   </servlet-mapping>
   <servlet>
      <description>ThreeDSecureServlet</description>
      <display-name>ThreeDSecureServlet</display-name>
      <servlet-name>ThreeDSecureServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.ThreeDSecureServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>ThreeDSecureServlet</servlet-name>
      <url-pattern>/3dspage</url-pattern>
   </servlet-mapping>
   
    <servlet>
		<servlet-name>ThreeEMVConfirmation</servlet-name>
		<jsp-file>/common/emv3ds.jsp</jsp-file>
	</servlet>
	<servlet-mapping>
		<servlet-name>ThreeEMVConfirmation</servlet-name>
		<url-pattern>/initiateconfrimation</url-pattern>
	</servlet-mapping>
	
    <servlet>
		<display-name>EMVThreeDSecureServlet</display-name>
    	<servlet-name>EMVThreeDSecureServlet</servlet-name>
    	<servlet-class>com.tui.uk.payment.dispatcher.EMVThreeDSecureServlet</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>EMVThreeDSecureServlet</servlet-name>
		<url-pattern>/initiateauth</url-pattern>
	</servlet-mapping>
   
   
   <servlet>
      <description>CookieLegislationServlet</description>
      <display-name>CookieLegislationServlet</display-name>
      <servlet-name>CookieLegislationServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.CookieLegislationServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>CookieLegislationServlet</servlet-name>
      <url-pattern>/CookieLegislationServlet</url-pattern>
   </servlet-mapping>
   <servlet>
      <description>CardTypeFinderServlet</description>
      <display-name>CardTypeFinderServlet</display-name>
      <servlet-name>CardTypeFinderServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.CardTypeFinderServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>CardTypeFinderServlet</servlet-name>
      <url-pattern>/CardTypeFinderServlet</url-pattern>
   </servlet-mapping>

   <servlet>
      <description>DepositTypeFinderServlet</description>
      <display-name>DepositTypeFinderServlet</display-name>
      <servlet-name>DepositTypeFinderServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.DepositTypeFinderServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>DepositTypeFinderServlet</servlet-name>
      <url-pattern>/DepositTypeFinderServlet</url-pattern>
   </servlet-mapping>

   <servlet>
      <description>SessionTimeOutServlet</description>
      <display-name>SessionTimeOutServlet</display-name>
      <servlet-name>SessionTimeOutServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.SessionTimeOutServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>SessionTimeOutServlet</servlet-name>
      <url-pattern>/SessionTimeOutServlet</url-pattern>
   </servlet-mapping>
      <servlet>
      <description></description>
      <display-name>AjaxPostPaymentServlet</display-name>
      <servlet-name>AjaxPostPaymentServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.AjaxPostPaymentServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>AjaxPostPaymentServlet</servlet-name>
      <url-pattern>/processPostPayment</url-pattern>
   </servlet-mapping>
    <servlet>
      <description></description>
      <display-name>MobilePayment</display-name>
      <servlet-name>MobilePostPaymentServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.MobilePostPaymentServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>MobilePostPaymentServlet</servlet-name>
      <url-pattern>/processMobilePayment</url-pattern>
   </servlet-mapping>
   <servlet>
      <description></description>
      <display-name>paypalServlet</display-name>
      <servlet-name>paypalServlet</servlet-name>
      <servlet-class>com.tui.uk.payment.dispatcher.PayPalServlet</servlet-class>
   </servlet>
   <servlet-mapping>
      <servlet-name>paypalServlet</servlet-name>
      <url-pattern>/paypal</url-pattern>
   </servlet-mapping>

   <!--Adding for HCS  requirement-->
   <servlet>
    <display-name>hccProcessServlet</display-name>
    <servlet-name>hccProcessServlet</servlet-name>
    <servlet-class>com.tui.uk.payment.dispatcher.HccProcessServlet</servlet-class>
   </servlet>

   <servlet-mapping>
    <servlet-name>hccProcessServlet</servlet-name>
    <url-pattern>/hccprocess</url-pattern>
   </servlet-mapping>

   <servlet>
    <display-name>hccSetupRequestServlet</display-name>
    <servlet-name>hccSetupRequestServlet</servlet-name>
    <servlet-class>com.tui.uk.payment.dispatcher.HccSetupRequestServlet</servlet-class>
   </servlet>

   <servlet-mapping>
    <servlet-name>hccSetupRequestServlet</servlet-name>
    <url-pattern>/hccsetup</url-pattern>
   </servlet-mapping>
 <servlet>
    <display-name>ACSSPaymentDataValidationServlet</display-name>
    <servlet-name>acssPDVServlet</servlet-name>
    <servlet-class>com.tui.uk.payment.dispatcher.ACSSPaymentDataValidationServlet</servlet-class>
   </servlet>

   <servlet-mapping>
    <servlet-name>acssPDVServlet</servlet-name>
    <url-pattern>/acssPDVServlet</url-pattern>
   </servlet-mapping>
   <servlet>
    <display-name>EMVAuthProcessServlet</display-name>
    <servlet-name>emvAuthProcessServlet</servlet-name>
    <servlet-class>com.tui.uk.payment.dispatcher.EMVAuthProcessServlet</servlet-class>
   </servlet>
   <servlet-mapping>
    <servlet-name>emvAuthProcessServlet</servlet-name>
    <url-pattern>/processauthentication</url-pattern>
   </servlet-mapping>
    <servlet>
    <display-name>PostEmvAuthProcessServlet</display-name>
    <servlet-name>postEmvAuthProcessServlet</servlet-name>
    <servlet-class>com.tui.uk.payment.dispatcher.PostEmvAuthProcessServlet</servlet-class>
   </servlet>
   <servlet-mapping>
    <servlet-name>postEmvAuthProcessServlet</servlet-name>
    <url-pattern>/postauthprocess</url-pattern>
   </servlet-mapping>
   <error-page>
       <error-code>404</error-code>
       <location>/common/error.jsp</location>
   </error-page>
   <error-page>
      <error-code>500</error-code>
      <location>/common/error.jsp</location>
   </error-page>
</web-app>
